summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rw-r--r--source/ap/hplip/0025-Remove-all-ImageProcessor-functionality-which-is-clo.patch114
-rwxr-xr-xsource/ap/hplip/hplip.SlackBuild16
-rwxr-xr-xsource/ap/zsh/zsh.SlackBuild2
-rw-r--r--source/ap/zsh/zsh.url1
-rwxr-xr-xsource/d/rust/rust.SlackBuild8
-rw-r--r--source/d/rust/rust.url14
-rw-r--r--source/l/lmdb/lmdb-make.patch76
-rw-r--r--source/l/lmdb/lmdb-s390-check.patch14
-rwxr-xr-xsource/l/lmdb/lmdb.SlackBuild139
-rw-r--r--source/l/lmdb/lmdb.pc.in11
-rw-r--r--source/l/lmdb/slack-desc19
-rwxr-xr-xsource/n/php/fetch-php.sh4
-rw-r--r--source/n/samba/samba.url4
-rw-r--r--source/x/x11/build/xf86-video-amdgpu2
-rw-r--r--source/x/x11/configure/xf86-video-ati13
15 files changed, 404 insertions, 33 deletions
diff --git a/source/ap/hplip/0025-Remove-all-ImageProcessor-functionality-which-is-clo.patch b/source/ap/hplip/0025-Remove-all-ImageProcessor-functionality-which-is-clo.patch
new file mode 100644
index 000000000..5bf433281
--- /dev/null
+++ b/source/ap/hplip/0025-Remove-all-ImageProcessor-functionality-which-is-clo.patch
@@ -0,0 +1,114 @@
+From b78107ce36b7a8602479222f1ee806566727c8de Mon Sep 17 00:00:00 2001
+From: Didier Raboud <odyx@debian.org>
+Date: Tue, 21 Aug 2018 18:18:10 +0200
+Subject: Remove all ImageProcessor functionality, which is closed-source
+
+---
+ Makefile.am | 14 ++------------
+ prnt/hpcups/HPCupsFilter.cpp | 21 ---------------------
+ 2 files changed, 2 insertions(+), 33 deletions(-)
+
+diff --git a/Makefile.am b/Makefile.am
+index 7eb645149..cc7e89611 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -164,7 +164,7 @@ if !HPLIP_CLASS_DRIVER
+ dist_hplip_SCRIPTS = hpssd.py __init__.py hpdio.py
+ endif #HPLIP_CLASS_DRIVER
+
+-dist_noinst_DATA += prnt/drv/hpijs.drv.in.template prnt/drv/hpcups.drv.in.template prnt/hpcups/libImageProcessor-x86_64.so prnt/hpcups/libImageProcessor-x86_32.so
++dist_noinst_DATA += prnt/drv/hpijs.drv.in.template prnt/drv/hpcups.drv.in.template
+ dist_noinst_SCRIPTS += dat2drv.py install.py hplip-install init-suse-firewall init-iptables-firewall class_rpm_build.sh hplipclassdriver.spec createPPD.sh Makefile_dat2drv hpijs-drv
+
+ if !HPLIP_CLASS_DRIVER
+@@ -588,7 +588,7 @@ hpcups_SOURCES = prnt/hpcups/HPCupsFilter.cpp prnt/hpcups/HPCupsFilter.h prnt/hp
+ prnt/hpcups/ImageProcessor.h
+
+ hpcups_CXXFLAGS = $(APDK_ENDIAN_FLAG) $(DBUS_CFLAGS)
+-hpcups_LDADD = -L./prnt/hpcups/ -ljpeg -ldl -lImageProcessor -lcups -lcupsimage -lz $(DBUS_LIBS)
++hpcups_LDADD = -L./prnt/hpcups/ -ljpeg -ldl -lcups -lcupsimage -lz $(DBUS_LIBS)
+
+ #else
+ #hpcupsdir = $(cupsfilterdir)
+@@ -681,16 +681,6 @@ endif #HPLIP_CLASS_DRIVER
+
+ install-data-hook:
+ if HPLIP_BUILD
+- if [ \( "$(UNAME)" = "x86_64" -a -d "$(libdir)/" \) ]; then \
+- cp prnt/hpcups/libImageProcessor-x86_64.so $(libdir)/ ; \
+- chmod 775 $(libdir)/libImageProcessor-x86_64.so ; \
+- ln -sf $(libdir)/libImageProcessor-x86_64.so $(libdir)/libImageProcessor.so ; \
+- fi; \
+- if [ \( \( "$(UNAME)" = "i686" -o "$(UNAME)" = "i386" \) -a -d "$(libdir)/" \) ]; then \
+- cp prnt/hpcups/libImageProcessor-x86_32.so $(libdir)/ ; \
+- chmod 775 $(libdir)/libImageProcessor-x86_32.so ; \
+- ln -sf $(libdir)/libImageProcessor-x86_32.so $(libdir)/libImageProcessor.so ; \
+- fi
+ if !HPLIP_CLASS_DRIVER
+ # If scanner build, add hpaio entry to sane dll.conf.
+ if [ "$(scan_build)" = "yes" ]; then \
+diff --git a/prnt/hpcups/HPCupsFilter.cpp b/prnt/hpcups/HPCupsFilter.cpp
+index 413daa3c5..7c1e8566c 100644
+--- a/prnt/hpcups/HPCupsFilter.cpp
++++ b/prnt/hpcups/HPCupsFilter.cpp
+@@ -31,7 +31,6 @@
+ \*****************************************************************************/
+
+ #include "HPCupsFilter.h"
+-#include "ImageProcessor.h"
+
+ #include <signal.h>
+ #include <sys/wait.h>
+@@ -637,17 +636,11 @@ int HPCupsFilter::processRasterData(cups_raster_t *cups_raster)
+
+
+ sprintf(hpPreProcessedRasterFile, "%s/hp_%s_cups_SwapedPagesXXXXXX",CUPS_TMP_DIR, m_JA.user_name);
+- image_processor_t* imageProcessor = imageProcessorCreate();
+
+ while (cupsRasterReadHeader2(cups_raster, &cups_header))
+ {
+ dbglog("DEBUG: SHIVA inside the while loop");
+
+- IMAGE_PROCESSOR_ERROR result = imageProcessorStartPage(imageProcessor, &cups_header);
+- if (result != IPE_SUCCESS){
+- dbglog("DEBUG: imageProcessorStartPage failed result = %d\n", result);
+- }
+-
+ current_page_number++;
+
+ if (current_page_number == 1) {
+@@ -746,12 +739,6 @@ int HPCupsFilter::processRasterData(cups_raster_t *cups_raster)
+ color_raster = rgbRaster;
+ black_raster = kRaster;
+
+- result = imageProcessorProcessLine(imageProcessor, m_pPrinterBuffer, cups_header.cupsBytesPerLine);
+- if (result != IPE_SUCCESS){
+- dbglog("DEBUG: imageProcessorProcessLine failed result = %d\n", result);
+- }
+-
+-
+ if ((y == 0) && !is_ljmono) {
+ //For ljmono, make sure that first line is not a blankRaster line.Otherwise printer
+ //may not skip blank lines before actual data
+@@ -781,12 +768,6 @@ int HPCupsFilter::processRasterData(cups_raster_t *cups_raster)
+ }
+ } // for() loop end
+
+- result = imageProcessorEndPage(imageProcessor);
+- if (result != IPE_SUCCESS){
+- dbglog("DEBUG: imageProcessorEndPage failed result = %d\n", result);
+- }
+-
+-
+ m_Job.NewPage();
+ if (err != NO_ERROR) {
+ break;
+@@ -801,8 +782,6 @@ int HPCupsFilter::processRasterData(cups_raster_t *cups_raster)
+ rgbRaster = NULL;
+ }
+
+- imageProcessorDestroy(imageProcessor);
+-
+ unlink(hpPreProcessedRasterFile);
+ return ret_status;
+ }
diff --git a/source/ap/hplip/hplip.SlackBuild b/source/ap/hplip/hplip.SlackBuild
index 05f9e26c9..a83ac9e64 100755
--- a/source/ap/hplip/hplip.SlackBuild
+++ b/source/ap/hplip/hplip.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=hplip
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -96,8 +96,18 @@ sed -i.env-python -e 's,^#!/usr/bin/env python,#!/usr/bin/python3,' \
prnt/filters/hpps \
fax/filters/pstotiff
-# libImageProcessor installation is fubar in 3.18.7:
-zcat $CWD/hplip.libImageProcessor.diff.gz | patch -p1 -l --verbose || exit 1
+# COMMENTED OUT: We aren't going to need this patch since the one below it
+# throws the blob into the bit bucket.
+## libImageProcessor installation is fubar in 3.18.7:
+#zcat $CWD/hplip.libImageProcessor.diff.gz | patch -p1 -l --verbose || exit 1
+
+# Forget it folks - this ImageProcessor closed-source blob is broken, and there
+# is no way to fix it. We will use this patch from Debian to remove it from
+# hplip, reverting to the way things worked in the 3.18.6 release. If HP ever
+# sees fit to make ImageProcessor mandatory, we'll likely stick with the last
+# hplip release that can be made to work without it, and any HP printers that
+# require a newer version of hplip will not be supported.
+zcat $CWD/0025-Remove-all-ImageProcessor-functionality-which-is-clo.patch.gz | patch -p1 -l --verbose || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
diff --git a/source/ap/zsh/zsh.SlackBuild b/source/ap/zsh/zsh.SlackBuild
index fe2c98d09..f5893b247 100755
--- a/source/ap/zsh/zsh.SlackBuild
+++ b/source/ap/zsh/zsh.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=zsh
VERSION=${VERSION:-$(echo ${PKGNAM}-5.*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/ap/zsh/zsh.url b/source/ap/zsh/zsh.url
new file mode 100644
index 000000000..e8805241e
--- /dev/null
+++ b/source/ap/zsh/zsh.url
@@ -0,0 +1 @@
+ftp://ftp.zsh.org/zsh/
diff --git a/source/d/rust/rust.SlackBuild b/source/d/rust/rust.SlackBuild
index c5294aec6..7ceb99fa9 100755
--- a/source/d/rust/rust.SlackBuild
+++ b/source/d/rust/rust.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rust
SRCNAM="${PKGNAM}c"
-VERSION=${VERSION:-1.28.0}
+VERSION=${VERSION:-1.29.0}
BUILD=${BUILD:-1}
# Set this to YES to build with the system LLVM, or NO to use the bundled LLVM.
@@ -34,9 +34,9 @@ BUILD=${BUILD:-1}
SYSTEM_LLVM=${SYSTEM_LLVM:-NO}
# Bootstrap variables (might not be kept updated for latest Rust):
-RSTAGE0_VERSION=${RSTAGE0_VERSION:-1.27.2}
-RSTAGE0_DIR=${RSTAGE0_DIR:-2018-07-20}
-CSTAGE0_VERSION=${CSTAGE0_VERSION:-0.28.0}
+RSTAGE0_VERSION=${RSTAGE0_VERSION:-1.28.0}
+RSTAGE0_DIR=${RSTAGE0_DIR:-2018-08-02}
+CSTAGE0_VERSION=${CSTAGE0_VERSION:-0.29.0}
CSTAGE0_DIR=${CSTAGE0_DIR:-$RSTAGE0_DIR}
# Automatically determine the architecture we're building on:
diff --git a/source/d/rust/rust.url b/source/d/rust/rust.url
index ce929cd3e..0bf532b8d 100644
--- a/source/d/rust/rust.url
+++ b/source/d/rust/rust.url
@@ -1,5 +1,5 @@
# Source code (repacked to .tar.xz):
-lftpget https://static.rust-lang.org/dist/rustc-1.28.0-src.tar.gz
+lftpget https://static.rust-lang.org/dist/rustc-1.29.0-src.tar.gz
gzip -d rustc-*tar.gz
plzip -9 -v rustc-*tar
@@ -12,12 +12,12 @@ plzip -9 -v rustc-*tar
exit 0
# i686 bootstrap:
-lftpget https://static.rust-lang.org/dist/2018-07-20/cargo-0.28.0-i686-unknown-linux-gnu.tar.gz
-lftpget https://static.rust-lang.org/dist/2018-07-20/rust-std-1.27.2-i686-unknown-linux-gnu.tar.gz
-lftpget https://static.rust-lang.org/dist/2018-07-20/rustc-1.27.2-i686-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2018-08-02/cargo-0.29.0-i686-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2018-08-02/rust-std-1.28.0-i686-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2018-08-02/rustc-1.28.0-i686-unknown-linux-gnu.tar.gz
# x86_64 bootstrap:
-lftpget https://static.rust-lang.org/dist/2018-07-20/cargo-0.28.0-x86_64-unknown-linux-gnu.tar.gz
-lftpget https://static.rust-lang.org/dist/2018-07-20/rust-std-1.27.2-x86_64-unknown-linux-gnu.tar.gz
-lftpget https://static.rust-lang.org/dist/2018-07-20/rustc-1.27.2-x86_64-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2018-08-02/cargo-0.29.0-x86_64-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2018-08-02/rust-std-1.28.0-x86_64-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2018-08-02/rustc-1.28.0-x86_64-unknown-linux-gnu.tar.gz
diff --git a/source/l/lmdb/lmdb-make.patch b/source/l/lmdb/lmdb-make.patch
new file mode 100644
index 000000000..eca03ef39
--- /dev/null
+++ b/source/l/lmdb/lmdb-make.patch
@@ -0,0 +1,76 @@
+diff -up lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile.orig lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile
+--- lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile.orig 2017-01-04 12:14:24.303344915 +0100
++++ lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile 2017-01-04 12:19:20.190295319 +0100
+@@ -26,6 +26,7 @@ OPT = -O2 -g
+ CFLAGS = $(THREADS) $(OPT) $(W) $(XCFLAGS)
+ LDLIBS =
+ SOLIBS =
++SOVERSION = 0.0.0
+ SOEXT = .so
+ prefix = /usr/local
+ exec_prefix = $(prefix)
+@@ -38,7 +39,7 @@ mandir = $(datarootdir)/man
+ ########################################################################
+
+ IHDRS = lmdb.h
+-ILIBS = liblmdb.a liblmdb$(SOEXT)
++ILIBS = liblmdb$(SOEXT) liblmdb$(SOEXT).$(SOVERSION)
+ IPROGS = mdb_stat mdb_copy mdb_dump mdb_load
+ IDOCS = mdb_stat.1 mdb_copy.1 mdb_dump.1 mdb_load.1
+ PROGS = $(IPROGS) mtest mtest2 mtest3 mtest4 mtest5
+@@ -49,13 +50,13 @@ install: $(ILIBS) $(IPROGS) $(IHDRS)
+ mkdir -p $(DESTDIR)$(libdir)
+ mkdir -p $(DESTDIR)$(includedir)
+ mkdir -p $(DESTDIR)$(mandir)/man1
+- for f in $(IPROGS); do cp $$f $(DESTDIR)$(bindir); done
+- for f in $(ILIBS); do cp $$f $(DESTDIR)$(libdir); done
+- for f in $(IHDRS); do cp $$f $(DESTDIR)$(includedir); done
+- for f in $(IDOCS); do cp $$f $(DESTDIR)$(mandir)/man1; done
++ for f in $(IPROGS); do cp -a $$f $(DESTDIR)$(bindir); done
++ for f in $(ILIBS); do cp -a $$f $(DESTDIR)$(libdir); done
++ for f in $(IHDRS); do cp -a $$f $(DESTDIR)$(includedir); done
++ for f in $(IDOCS); do cp -a $$f $(DESTDIR)$(mandir)/man1; done
+
+ clean:
+- rm -rf $(PROGS) *.[ao] *.[ls]o *~ testdb
++ rm -rf $(PROGS) *.[ao] *.[ls]o* *~ testdb
+
+ test: all
+ rm -rf testdb && mkdir testdb
+@@ -64,20 +65,24 @@ test: all
+ liblmdb.a: mdb.o midl.o
+ $(AR) rs $@ mdb.o midl.o
+
+-liblmdb$(SOEXT): mdb.lo midl.lo
++liblmdb$(SOEXT): liblmdb$(SOEXT).$(SOVERSION)
++ rm -f $@
++ ln -s $< $@
++
++liblmdb$(SOEXT).$(SOVERSION): mdb.lo midl.lo
+ # $(CC) $(LDFLAGS) -pthread -shared -Wl,-Bsymbolic -o $@ mdb.o midl.o $(SOLIBS)
+- $(CC) $(LDFLAGS) -pthread -shared -o $@ mdb.lo midl.lo $(SOLIBS)
++ $(CC) $(LDFLAGS) -pthread -shared -Wl,-soname,$@ -o $@ mdb.lo midl.lo $(SOLIBS)
+
+-mdb_stat: mdb_stat.o liblmdb.a
+-mdb_copy: mdb_copy.o liblmdb.a
+-mdb_dump: mdb_dump.o liblmdb.a
+-mdb_load: mdb_load.o liblmdb.a
+-mtest: mtest.o liblmdb.a
+-mtest2: mtest2.o liblmdb.a
+-mtest3: mtest3.o liblmdb.a
+-mtest4: mtest4.o liblmdb.a
+-mtest5: mtest5.o liblmdb.a
+-mtest6: mtest6.o liblmdb.a
++mdb_stat: mdb_stat.o liblmdb.so
++mdb_copy: mdb_copy.o liblmdb.so
++mdb_dump: mdb_dump.o liblmdb.so
++mdb_load: mdb_load.o liblmdb.so
++mtest: mtest.o liblmdb.so
++mtest2: mtest2.o liblmdb.so
++mtest3: mtest3.o liblmdb.so
++mtest4: mtest4.o liblmdb.so
++mtest5: mtest5.o liblmdb.so
++mtest6: mtest6.o liblmdb.so
+
+ mdb.o: mdb.c lmdb.h midl.h
+ $(CC) $(CFLAGS) $(CPPFLAGS) -c mdb.c
diff --git a/source/l/lmdb/lmdb-s390-check.patch b/source/l/lmdb/lmdb-s390-check.patch
new file mode 100644
index 000000000..2922ec67b
--- /dev/null
+++ b/source/l/lmdb/lmdb-s390-check.patch
@@ -0,0 +1,14 @@
+# The s390 architecture needs a pause before accessing the test DB.
+
+diff -up lmdb-LMDB_0.9.17/libraries/liblmdb/Makefile.orig lmdb-LMDB_0.9.17/libraries/liblmdb/Makefile
+--- lmdb-LMDB_0.9.17/libraries/liblmdb/Makefile.orig 2015-12-03 09:21:35.621480706 +0100
++++ lmdb-LMDB_0.9.17/libraries/liblmdb/Makefile 2015-12-03 09:22:10.069644210 +0100
+@@ -57,7 +57,7 @@ clean:
+
+ test: all
+ rm -rf testdb && mkdir testdb
+- ./mtest && ./mdb_stat testdb
++ ./mtest && sleep 1 && ./mdb_stat testdb
+
+ liblmdb.a: mdb.o midl.o
+ $(AR) rs $@ mdb.o midl.o
diff --git a/source/l/lmdb/lmdb.SlackBuild b/source/l/lmdb/lmdb.SlackBuild
new file mode 100755
index 000000000..db62820d3
--- /dev/null
+++ b/source/l/lmdb/lmdb.SlackBuild
@@ -0,0 +1,139 @@
+#!/bin/bash
+
+# Copyright 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=lmdb
+VERSION=${VERSION:-$(echo LMDB_*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/LMDB_$VERSION.tar.?z || exit 1
+cd lmdb-LMDB_$VERSION || exit 1
+
+zcat $CWD/lmdb-make.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/lmdb-s390-check.patch.gz | patch -p1 --verbose || exit 1
+
+cd libraries/liblmdb
+
+sed -i "s|/usr/local|/usr|g" Makefile
+sed -i "s|\$(exec_prefix)/lib|\$(exec_prefix)/lib${LIBDIRSUFFIX}|g" Makefile
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make $NUMJOBS XCFLAGS="$SLKCFLAGS" || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Install pkgconfig file:
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+cat $CWD/lmdb.pc.in | sed "s|/usr/lib|/usr/lib${LIBDIRSUFFIX}|g" | sed "s|@PACKAGE_VERSION@|$VERSION|g" > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/lmdb.pc
+
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/man1 $PKG/usr/man
+rmdir $PKG/usr/share/man $PKG/usr/share
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ CHANGES* COPYRIGHT* LICENSE* README* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a CHANGES file, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r CHANGES ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat CHANGES | head -n 1000 > $DOCSDIR/CHANGES
+ touch -r CHANGES $DOCSDIR/CHANGES
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/lmdb/lmdb.pc.in b/source/l/lmdb/lmdb.pc.in
new file mode 100644
index 000000000..45d2d319d
--- /dev/null
+++ b/source/l/lmdb/lmdb.pc.in
@@ -0,0 +1,11 @@
+prefix=/usr
+exec_prefix=${prefix}
+libdir=/usr/lib
+includedir=${prefix}/include
+
+Name: liblmdb
+Description: Lightning Memory-mapped key-value database
+URL: http://symas.com/mdb/
+Version: @PACKAGE_VERSION@
+Libs: -L${libdir} -llmdb
+Cflags: -I${includedir}
diff --git a/source/l/lmdb/slack-desc b/source/l/lmdb/slack-desc
new file mode 100644
index 000000000..179b70813
--- /dev/null
+++ b/source/l/lmdb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lmdb: lmdb (Lightning Memory-mapped key-value database)
+lmdb:
+lmdb: LMDB is an ultra-fast, ultra-compact key-value embedded data store
+lmdb: developed by Symas for the OpenLDAP Project. By using memory-mapped
+lmdb: files, it provides the read performance of a pure in-memory database
+lmdb: while still offering the persistence of standard disk-based databases,
+lmdb: and is only limited to the size of the virtual address space.
+lmdb:
+lmdb: Homepage: http://symas.com/mdb/
+lmdb:
+lmdb:
diff --git a/source/n/php/fetch-php.sh b/source/n/php/fetch-php.sh
index 3cc7ac841..7bfdeca22 100755
--- a/source/n/php/fetch-php.sh
+++ b/source/n/php/fetch-php.sh
@@ -1,2 +1,2 @@
-lftpget http://us.php.net/distributions/php-7.2.9.tar.xz.asc
-lftpget http://us.php.net/distributions/php-7.2.9.tar.xz
+lftpget http://us.php.net/distributions/php-7.2.10.tar.xz.asc
+lftpget http://us.php.net/distributions/php-7.2.10.tar.xz
diff --git a/source/n/samba/samba.url b/source/n/samba/samba.url
index 4874e29a5..e27c2f679 100644
--- a/source/n/samba/samba.url
+++ b/source/n/samba/samba.url
@@ -1,2 +1,2 @@
-https://download.samba.org/pub/samba/stable/samba-4.8.5.tar.gz
-https://download.samba.org/pub/samba/stable/samba-4.8.5.tar.asc
+https://download.samba.org/pub/samba/stable/samba-4.9.0.tar.gz
+https://download.samba.org/pub/samba/stable/samba-4.9.0.tar.asc
diff --git a/source/x/x11/build/xf86-video-amdgpu b/source/x/x11/build/xf86-video-amdgpu
index 00750edc0..d00491fd7 100644
--- a/source/x/x11/build/xf86-video-amdgpu
+++ b/source/x/x11/build/xf86-video-amdgpu
@@ -1 +1 @@
-3
+1
diff --git a/source/x/x11/configure/xf86-video-ati b/source/x/x11/configure/xf86-video-ati
deleted file mode 100644
index 291eb9b94..000000000
--- a/source/x/x11/configure/xf86-video-ati
+++ /dev/null
@@ -1,13 +0,0 @@
-CFLAGS=$SLKCFLAGS \
-CXXFLAGS=$SLKCFLAGS \
-./autogen.sh \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --infodir=/usr/info \
- --mandir=/usr/man \
- --docdir=/usr/doc/${PKGNAME}-${MODULAR_PACKAGE_VERSION} \
- --with-udev-rules-dir=/lib/udev/rules.d \
- --disable-static \
- --build=$ARCH-slackware-linux